    COMMENT = Java language support

    SUBDIR += apache-bcel
    SUBDIR += apache-commons-beanutils
    SUBDIR += apache-commons-cli
    SUBDIR += apache-commons-codec
    SUBDIR += apache-commons-collections
    SUBDIR += apache-commons-dbcp
    SUBDIR += apache-commons-httpclient
    SUBDIR += apache-commons-lang
    SUBDIR += apache-commons-lang3
    SUBDIR += apache-commons-logging
    SUBDIR += apache-commons-pool
    SUBDIR += aparapi
    SUBDIR += avis
    SUBDIR += berkeley-db
    SUBDIR += bluej
    SUBDIR += bootstrap-openjdk11
    SUBDIR += bootstrap-openjdk17
    SUBDIR += bootstrap-openjdk6
    SUBDIR += bootstrap-openjdk8
    SUBDIR += bouncycastle
    SUBDIR += bouncycastle15
    SUBDIR += cos
    SUBDIR += dbvis
    SUBDIR += eclipse
    SUBDIR += eclipse-EPIC
    SUBDIR += eclipse-cdt
    SUBDIR += eclipse-drjava
    SUBDIR += eclipse-ecj
    SUBDIR += eclipse-findbugs
    SUBDIR += eclipse-pydev
    SUBDIR += eclipse-shelled
    SUBDIR += hamcrest
    SUBDIR += icedtea-web
    SUBDIR += infobus
    SUBDIR += intellij
    SUBDIR += intellij-fsnotifier
    SUBDIR += intellij-pty4j
    SUBDIR += intellij-ultimate
    SUBDIR += jad
    SUBDIR += jai
    SUBDIR += jakarta-oro
    SUBDIR += jasmin
    SUBDIR += jattach
    SUBDIR += java-cup
    SUBDIR += java-getopt
    SUBDIR += java-subversion
    SUBDIR += java-zoneinfo
    SUBDIR += java3d
    SUBDIR += javahelp
    SUBDIR += javamail
    SUBDIR += javavmwrapper
    SUBDIR += jaxen
    SUBDIR += jcalendar
    SUBDIR += jcckit
    SUBDIR += jcommon
    SUBDIR += jd-gui
    SUBDIR += jdk11-doc
    SUBDIR += jdk12-doc
    SUBDIR += jdk8-doc
    SUBDIR += jdom
    SUBDIR += jflex
    SUBDIR += jfreechart
    SUBDIR += jgraph
    SUBDIR += jgraphx
    SUBDIR += jikes
    SUBDIR += jlex
    SUBDIR += jlint
    SUBDIR += jmf
    SUBDIR += jode
    SUBDIR += jrosetta
    SUBDIR += jta
    SUBDIR += jtiger
    SUBDIR += jump
    SUBDIR += junit
    SUBDIR += jxgrabkey
    SUBDIR += lightweight-java-profiler
    SUBDIR += linux-oracle-jdk18
    SUBDIR += linux-oracle-jre18
    SUBDIR += linux-oracle-serverjre10
    SUBDIR += mmake
    SUBDIR += mx4j
    SUBDIR += netbeans
    SUBDIR += netcomponents
    SUBDIR += netrexx
    SUBDIR += netty
    SUBDIR += openjdk11
    SUBDIR += openjdk11-jre
    SUBDIR += openjdk12
    SUBDIR += openjdk13
    SUBDIR += openjdk14
    SUBDIR += openjdk15
    SUBDIR += openjdk16
    SUBDIR += openjdk17
    SUBDIR += openjdk17-jre
    SUBDIR += openjdk18
    SUBDIR += openjdk7
    SUBDIR += openjdk7-jre
    SUBDIR += openjdk8
    SUBDIR += openjdk8-jre
    SUBDIR += openjfx14
    SUBDIR += phpeclipse
    SUBDIR += proguard
    SUBDIR += sablevm
    SUBDIR += sablevm-classpath
    SUBDIR += servingxml
    SUBDIR += sigar
    SUBDIR += springframework
    SUBDIR += springframework31
    SUBDIR += sqlitejdbc
    SUBDIR += trove4j
    SUBDIR += veditor
    SUBDIR += visualvm
    SUBDIR += wildfly10
    SUBDIR += wildfly11
    SUBDIR += wildfly12
    SUBDIR += wildfly13
    SUBDIR += wildfly14
    SUBDIR += wildfly15
    SUBDIR += wildfly16
    SUBDIR += wildfly17
    SUBDIR += wildfly18
    SUBDIR += wildfly90

.include <bsd.port.subdir.mk>
